org.appng.appngizer.model

## Class Repository

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Repository
      - - org.appng.appngizer.model.Repository

- All Implemented Interfaces:
    UriAware

      public class Repository
      extends Repository
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Repository

      `description, enabled, mode, packages, published, remoteName, strict, type, uri`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Repository()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyUriComponents(org.springframework.web.util.UriComponentsBuilder builder)`
    `static Repository` | `fromDomain(Repository r)`
    `static RepositoryImpl` | `toDomain(Repository repo)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Repository

      `getDescription, getMode, getPackages, getRemoteName, getType, getUri, isEnabled, isPublished, isStrict, setDescription, setEnabled, setMode, setPackages, setPublished, setRemoteName, setStrict, setType, setUri`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Repository

          public Repository()

  - ### Method Detail

    - #### fromDomain

          public static Repository fromDomain(Repository r)

    - #### toDomain

          public static RepositoryImpl toDomain(Repository repo)
                                         throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### applyUriComponents

          public void applyUriComponents(org.springframework.web.util.UriComponentsBuilder builder)

      Specified by:
        `applyUriComponents` in interface `UriAware`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.